Subject: [TLS] draft-ietf-tls-ecc-new-mac-05

From: Alfred Hönes <[email-masked]>
Date: Mon, 14 Apr 2008 22:57:48 +0200 (MESZ)

Hi all,
I welcome the "compactification" / expansion of coverage
of the spec's for ECC with TLS done in draft-ietf-tls-ecc-new-mac-05,
but the middle paragraph of Section 2.1 has become rather arduous to
read now, and the last "are" is improper and potentially misleading
as well (should be "use").

Thus, please consider to change:

OLD:

   These eight cipher suites are the same as the corresponding cipher
|  suites in RFC 4492 (TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA,
|  TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA,
|  TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA,
|  TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA,
|  TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA,
|  TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA,
|  TLS_ECDH_RSA_WITH_AES_128_CBC_SHA, and
|  TLS_ECDH_RSA_WITH_AES_256_CBC_SHA) except for the hash and PRF
|  algorithms, which are SHA-256 and SHA-384 [SHS] as follows.
                     ^^^
NEW:

   These eight cipher suites are the same as the corresponding cipher
|  suites in RFC 4492 (with names ending in "_SHA" in place of "_SHA256"
|  or "_SHA384"), except for the hash and PRF algorithms, which use
   SHA-256 and SHA-384 [SHS] as follows.

Kind regards,
  Alfred.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+

_______________________________________________
TLS mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tls